# Unprotonated n-butanol
# using amber ff and scale { 0.5 0.5 }
#
# Adapted from butanol_shift_gamess_gulp in Chemsh3 hybrid tests
#

from chemsh       import *
from chemsh.utils import testutils

butanol = Fragment(coords='butanol.cjson')

gamess = GAMESS_UK(frag=butanol, method='hf', basis='sto-3g')

#sp = SP(theory=gamess, gradients=True)
#sp.run()
#print("### sp.gradients =", sp.result.energy)


opt = Opt(theory=gamess)
dlp4 = DL_POLY(frag=opt.theory.frag)
#opt.run()

#print("butanol.py: gradients =", sp.result.gradients)

para = Parameterise(qm=gamess, mm=dlp4, method='GAAMP', maxcycle=2).run()

quit()
#ecalc = sp.result.energy

# Test result
#eref = 0.023023

#testutils.validate(ecalc, eref)
